Subject: bug#14825: 24.3.50; split-window-below miscounts window lines

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Sep 2020 17:29:02 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Mon, 21 Sep 2020 14:38:30 +0200
> 
> >> But that window is 10 lines tall, while the minimum window height is 4
> >> lines, so I would expect Emacs to honor the request and produce 2
> >> windows.  And indeed, if I do the same with a 10-line window without
> >> making the font smaller, the window is split.
> >
> > I attached a patch that tries to fix this scenario.  Please have a
> > look.
> 
> This bug report is seven years old, and then Martin posted a patch about
> a year ago that received no followup.  Eli?

If Martin still thinks the patch is good to go, please install it.